Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.openpgp
Class PGPDataValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.bouncycastle.openpgp.PGPException
                  org.bouncycastle.openpgp.PGPDataValidationException

All Implemented Interfaces:
  java.io.Serializable

    public class PGPDataValidationException

extends PGPException

Thrown if the iv at the start of a data stream indicates the wrong key is being used.

See Also:
  Serialized Form

Constructor Summary
`PGPDataValidationException(java.lang.String message)`

Method Summary

Methods inherited from class org.bouncycastle.openpgp.PGPException
`getCause, getUnderlyingException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PGPDataValidationException

    public PGPDataValidationException(java.lang.String message)

Parameters:
  `message` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD